Форум русской поддержки Joomla!® CMS
09.12.2016, 17:29:10 *
Добро пожаловать, Гость. Пожалуйста, войдите или зарегистрируйтесь.
Вам не пришло письмо с кодом активации?

Войти
   
   Начало   Поиск Joomla 3.0 FAQ Joomla 2.5 FAQ Joomla 1.5 FAQ Правила форума Новости Joomla Реклама Войти Регистрация Помощь  
Страниц: [1] 2  Все   Вниз
  Добавить закладку  |  Печать  
Автор

Поддержка Joomla 2.5 прекращается

 (Прочитано 5156 раз)
0 Пользователей и 1 Гость смотрят эту тему.
zikkuratvk
Профи
********

Репутация: +258/-2
Offline Offline

Пол: Мужской
Сообщений: 3938


Разрабатываем для Joomla


« : 05.12.2014, 21:15:05 »

Релиз Joomla 2.5.28 будут последним, по предварительным данным он состоится 10.12.2014.
После этого обновлений для Joomla 2.5 не будет, даже обновлений безопасности, конечно не исключены экстренные апдейты, но системных апдейтов больше уже не будет.

Новость на JoomlaPortal
Записан
 
motokraft
Живу я здесь
******

Репутация: +72/-13
Offline Offline

Сообщений: 1436


« Ответ #1 : 05.12.2014, 21:18:43 »

плохо... Это значит надо переходить на 3-ю версию...
Записан
zikkuratvk
Профи
********

Репутация: +258/-2
Offline Offline

Пол: Мужской
Сообщений: 3938


Разрабатываем для Joomla


« Ответ #2 : 05.12.2014, 21:27:25 »

плохо... Это значит надо переходить на 3-ю версию...
ну как бы уже два года, даже больше с релиза Joomla 2.5 прошло, по меркам веба целая жизнь.
Записан
Taatshi
Support Team
*****

Репутация: +430/-3
Offline Offline

Пол: Женский
Сообщений: 4718

Мама, я снова верстал во сне...


« Ответ #3 : 05.12.2014, 22:08:40 »

motokraft, она вполне уже устойчива. Больше полугода все новые сайты на ней делаю.
Записан
ChaosHead
Профи
********

Репутация: +382/-10
Offline Offline

Пол: Мужской
Сообщений: 4397



« Ответ #4 : 05.12.2014, 22:21:51 »

В 2.5 мне больше нравится шаблон админки, может привычка конечно.
Записан
voland
Профи
********

Репутация: +488/-86
Online Online

Пол: Мужской
Сообщений: 8733


любит наш народ всякое гавно...


« Ответ #5 : 05.12.2014, 22:34:26 »

В 2.5 мне больше нравится шаблон админки, может привычка конечно.
Та же ерунда. Вроде уже много работаю с 3кой, но никак не привыкну.
Записан
Valerko_O
Осваиваюсь на форуме
***

Репутация: +12/-0
Offline Offline

Пол: Мужской
Сообщений: 195


Ничто так не помогает сделать выбор, как пытки...


« Ответ #6 : 06.12.2014, 08:08:59 »

Настало время отбросить все старое Azn
Записан
motokraft
Живу я здесь
******

Репутация: +72/-13
Offline Offline

Сообщений: 1436


« Ответ #7 : 06.12.2014, 09:52:49 »

я так понимаю должны создать новую 4 версию...
Записан
Valerko_O
Осваиваюсь на форуме
***

Репутация: +12/-0
Offline Offline

Пол: Мужской
Сообщений: 195


Ничто так не помогает сделать выбор, как пытки...


« Ответ #8 : 06.12.2014, 10:05:40 »

я так понимаю должны создать новую 4 версию...
От чего должны? Они над третьей пыхтят.
Записан
zikkuratvk
Профи
********

Репутация: +258/-2
Offline Offline

Пол: Мужской
Сообщений: 3938


Разрабатываем для Joomla


« Ответ #9 : 06.12.2014, 12:28:16 »

я так понимаю должны создать новую 4 версию...
четвертая ветка будет открыта ой как не скоро. Да и они все свои планы уже нарушили...
Записан
svarg
Осваиваюсь на форуме
***

Репутация: +1/-1
Offline Offline

Сообщений: 82



« Ответ #10 : 22.12.2014, 21:30:13 »

Не пойму, чего паниковать то? Что значит старое? Бред!
У меня есть сайты на чистом HTML много сайтов на Joomla 1.5 проблем вообще не вижу!
Записан
Valerko_O
Осваиваюсь на форуме
***

Репутация: +12/-0
Offline Offline

Пол: Мужской
Сообщений: 195


Ничто так не помогает сделать выбор, как пытки...


« Ответ #11 : 22.12.2014, 21:38:50 »

Не пойму, чего паниковать то? У меня много сайтов на Joomla 1.5 проблем вообще не вижу!
А как же безопасность ядра?
Записан
svarg
Осваиваюсь на форуме
***

Репутация: +1/-1
Offline Offline

Сообщений: 82



« Ответ #12 : 22.12.2014, 21:59:25 »

А как же безопасность ядра?

Насочиняли хрень всякую про опасности, тут был один сайт по устранению депрессий, там один дифференциальный психолог из vita-luck.ru писал о депрессиях, так вот поддержка не прекращается!
« Последнее редактирование: 05.03.2015, 00:08:59 от svarg » Записан
Valerko_O
Осваиваюсь на форуме
***

Репутация: +12/-0
Offline Offline

Пол: Мужской
Сообщений: 195


Ничто так не помогает сделать выбор, как пытки...


« Ответ #13 : 22.12.2014, 22:05:28 »

Скорее всего у сайтов которые вы делали нет конкурентов готовых идти на такую низость как ломать сайты.
У меня коллега один писал сайты на своем движке (если его так можно назвать), так админка вообще без пароля. Заходи не хочу.
И да, никто не ломал. Потому что у сайтов посещаемости ноль. Попробуйте сделать сайт с большой посещаемостью и увидеть как быстро вам придется его чинить.
Записан
zikkuratvk
Профи
********

Репутация: +258/-2
Offline Offline

Пол: Мужской
Сообщений: 3938


Разрабатываем для Joomla


« Ответ #14 : 22.12.2014, 22:49:34 »

Давай без фанатизма... учитывая количество сайтов работающих на Joomla 2.5, то вероятней всего выпустят патч безопасности если найдется критическая уязвимость. Во всяком случае с Joomla 1.5 так было.
По сути для меня как для разработчика это звонок, что в ближайшее время надо переходить на Joomla 3, и многие компоненты перестанут обновляться для Joomla 2.5, со временем совместимость с Joomla 2.5 будет утрачена... когда это произойдет я вам точно сказать не могу, судя по Joomla 1.5 этот процесс займет от года до трех лет.
Записан
Sgrey
Захожу иногда
**

Репутация: +1/-0
Offline Offline

Сообщений: 23


« Ответ #15 : 28.12.2014, 02:10:30 »

Поясните пожалуйста ситуацию. Joomla 2.5 я так понимаю была с долговременной поддержкой, а Joomla 3 с короткой. Получается сейчас ей нет альтернативы в этом плане?
Записан
zikkuratvk
Профи
********

Репутация: +258/-2
Offline Offline

Пол: Мужской
Сообщений: 3938


Разрабатываем для Joomla


« Ответ #16 : 29.12.2014, 18:20:55 »

Поясните пожалуйста ситуацию. Joomla 2.5 я так понимаю была с долговременной поддержкой, а Joomla 3 с короткой. Получается сейчас ей нет альтернативы в этом плане?
Альтернативы не будет. По сути теперь будет непрерывное обновление в рамках линейки 3.x... Типа в рамках линейки все будет совместимо, хотя я не поручусь, что в дальнейшем они пересмотрят стратегию выпуска версий.
Записан
Татьяна Новикова
Новичок
*

Репутация: +0/-0
Offline Offline

Пол: Женский
Сообщений: 6



« Ответ #17 : 13.01.2015, 21:19:13 »

Здравствуйте, форумчане!

У меня на хостинге (nic.ru) возникла проблема с установкой Joomla.

Для установки в автоматическом режиме CMS Joomla даже не 3 версии, а 2.5.27 требуется сменить настройки РНР, а именно поменять РНР5.2 на РНР5.3.

У меня это может привести к сбою работы сайтов, так как  для РНР5.3 на моем хостинге не поддерживается Модуль Charset.

В коде сайтов прописано

<meta http-equiv="Content-Type" content="text/html; charset=windows-1251" />

Насколько критично для сайтов будет, если я перейду на РНР5.3 ? Может что-то надо поменять в настройках?
Или может стоит установить более раннюю версию  Joomla? Не очень хочется, так как чую, рано или поздно все равно придется переходить на трешку.

Хелп, плииз!
Записан
voland
Профи
********

Репутация: +488/-86
Online Online

Пол: Мужской
Сообщений: 8733


любит наш народ всякое гавно...


« Ответ #18 : 13.01.2015, 21:33:55 »

Сразу меняйте php на версию 5.5, потом решаете кучу проблем со старыми сайтами и еще на 5 лет забываете о проблемах.
Записан
Татьяна Новикова
Новичок
*

Репутация: +0/-0
Offline Offline

Пол: Женский
Сообщений: 6



« Ответ #19 : 13.01.2015, 22:28:47 »

На хостинге нет РНР 5.5, самая свежая это 5.3, я уже писала.

Я ничего в РНР не понимаю, потому и задала вопрос, насколько критично будет проигнорировать модуль Charset.
Записан
voland
Профи
********

Репутация: +488/-86
Online Online

Пол: Мужской
Сообщений: 8733


любит наш народ всякое гавно...


« Ответ #20 : 13.01.2015, 22:30:32 »

Я ничего в РНР не понимаю, потому и задала вопрос, насколько критично будет проигнорировать модуль Charset.
Как бы сказать то помягче..
Вы и правда ничего не понимаете в php, там нет модуля charset.
Записан
Татьяна Новикова
Новичок
*

Репутация: +0/-0
Offline Offline

Пол: Женский
Сообщений: 6



« Ответ #21 : 13.01.2015, 23:39:53 »

Правда я понимаю или не правда, главное, чтобы вы понимали, профи ))
А если вот так попробовать поискать charset_module ? - Узнаете много нового     Grin




Записан
voland
Профи
********

Репутация: +488/-86
Online Online

Пол: Мужской
Сообщений: 8733


любит наш народ всякое гавно...


« Ответ #22 : 13.01.2015, 23:56:13 »

Правда я понимаю или не правда, главное, чтобы вы понимали, профи ))
А если вот так попробовать поискать charset_module ? - Узнаете много нового     Grin





Не узнал. Все ссылки ведут на nic.ru - видимо от их приблуда для умножения проблем.
Записан
Татьяна Новикова
Новичок
*

Репутация: +0/-0
Offline Offline

Пол: Женский
Сообщений: 6



« Ответ #23 : 14.01.2015, 00:12:43 »

Если вы не знаете ответа на мой вопрос, зачем тратите свое и мое время?

http://php5.kiev.ua/nginx/http/ngx_http_charset_module.html
« Последнее редактирование: 14.01.2015, 00:16:48 от Татьяна Новикова » Записан
ChaosHead
Профи
********

Репутация: +382/-10
Offline Offline

Пол: Мужской
Сообщений: 4397



« Ответ #24 : 14.01.2015, 01:42:15 »

Это модуль не php, а скажем так серверной программы nginx.

Вобще мне кажется вы какую-то проблему на пустом месте выдумываете. Проблемы кодировки никак не связаны с версией php. Nginx работающий на серверах хостинга тоже не связан с версией php, это лишь программа отдающая файлы браузеру.

На хостингах, что я встречал, php 5.3 считается основной рекомендуемой версией.

В конце концов сменить и проверить - 5 минут делов.
« Последнее редактирование: 14.01.2015, 01:47:51 от ChaosHead » Записан
Татьяна Новикова
Новичок
*

Репутация: +0/-0
Offline Offline

Пол: Женский
Сообщений: 6



« Ответ #25 : 14.01.2015, 03:18:04 »

Спасибо, в принципе именно это я и хотела выяснить. Я могу переключить РНР на более позднюю версию, а если что-то пойдет не так вернуть обратно 5.2? Я правильно поняла?


вот скриншот сообщения на хостинге

Записан
voland
Профи
********

Репутация: +488/-86
Online Online

Пол: Мужской
Сообщений: 8733


любит наш народ всякое гавно...


« Ответ #26 : 14.01.2015, 03:34:45 »

А почему не спросить у хостера?
Это был бы самый разумный шаг.

Приведу аналогию - мы ездим на иномарках и тазиках, льем бензин, а некий Кулибин собрал тележку из запорожца с Альфа-Ромео и написал что если залить в неё 95ый бензин, то она сломается.. как наш опыт поможет в ответе?
Записан
Apoca1ypto
Завсегдатай
*****

Репутация: +63/-0
Offline Offline

Пол: Мужской
Сообщений: 617



« Ответ #27 : 14.01.2015, 12:31:52 »

charset_module - производит корректное преобразование из кодировки хранения в кодировку у клиента при передаче документа клиенту и произвести обратное преобразование при приеме информации от клиента (submit формы и т.п.).
Записан
Татьяна Новикова
Новичок
*

Репутация: +0/-0
Offline Offline

Пол: Женский
Сообщений: 6



« Ответ #28 : 14.01.2015, 17:54:57 »

А почему не спросить у хостера?
Это был бы самый разумный шаг.

Приведу аналогию - мы ездим на иномарках и тазиках, льем бензин, а некий Кулибин собрал тележку из запорожца с Альфа-Ромео и написал что если залить в неё 95ый бензин, то она сломается.. как наш опыт поможет в ответе?

Если у вас нет опыта, зачем отвечаете?
Во-вторых, первый у кого я спросила, был хостер. Если интересно, почитайте его ответ

"Здравствуйте!

При установке CMS в автоматическом режиме, на хостинге происходит изменение настроек PHP в соответствии с требованиями устанавливаемой Вами CMS. Изменить настройки PHP для отдельного сайта не представляется возможным по техническим причинам. В связи с этим, настройки PHP меняются для всей услуги хостинга. Если новые настройки не подходят для остальных Ваших сайтов на этой услуге, то сайты могут перестать работать или начать работать некорректно. В связи с этим выводится предупреждающее сообщение об изменении настроек. Для решения данного вопроса Вам необходимо определить - являются ли требования к настройке PHP на хостинге для Ваших существующих сайтов идентичными или схожими с требованиями Joomla или Wordpress. Получить эту информацию можно у разработчиков сайта, либо в документации по уже используемым Вами CMS. Если уточнить эту информацию не представляется возможным, рекомендуем Вам во избежание изменений настроек PHP установить Joomla или Wordpress вручную, без использования раздела "Установка CMS" в панели управления хостингом. Инструкции по установке данных CMS вручную Вы можете найти на сайтах разработчиков:

Joomla: http://joomla.org/
Wordpress: http://ru.wordpress.org/

Модуль Charset в настоящий момент не поддерживается на нашем хостинге для PHP версии 5.3, поэтому, если для Ваших сайтов наличие данного модуля в системе критично, рекомендуем обратиться к разработчику сайтов для уточнения возможности отказаться от использования данного модуля."




Записан
voland
Профи
********

Репутация: +488/-86
Online Online

Пол: Мужской
Сообщений: 8733


любит наш народ всякое гавно...


« Ответ #29 : 14.01.2015, 18:04:47 »

Получить эту информацию можно у разработчиков сайта, либо в документации по уже используемым Вами CMS.
И какой отношение тема про Joomla 2.5 имеет к Вашим сайтам?
Наличие кодировки 1251 говорит о том что там стоит либо Joomla 1.0 либо другая CMS.

Или была мысль не обновлять новые движки? Но эта мысль в корне неправильна.
Записан
Страниц: [1] 2  Все   Вверх
  Добавить закладку  |  Печать  
 
Перейти в:  

Powered by SMF 1.1.21 | SMF © 2006, Simple Machines

Joomlaforum.ru is not affiliated with or endorsed by the Joomla! Project or Open Source Matters.
The Joomla! name and logo is used under a limited license granted by Open Source Matters
the trademark holder in the United States and other countries.

LiveInternet